package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Wosafetybaffle;
import com.gyee.frame.mapper.ticket.WosafetybaffleMapper;
import com.gyee.frame.service.ticket.WosafetybaffleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
@Transactional
@Service
public class WosafetybaffleServiceImpl extends ServiceImpl<WosafetybaffleMapper, Wosafetybaffle> implements WosafetybaffleService {

    @Override
    public List<Wosafetybaffle> getListOfProtectMeasure(String wonum, String style) {
        QueryWrapper<Wosafetybaffle> wrapper = new QueryWrapper<>();
        wrapper.eq("WONUM", wonum);
        wrapper.eq("STYLE", style);

        List<Wosafetybaffle> list = baseMapper.selectList(wrapper);

        return list;
    }

    @Override
    public Integer deleteSafeMeasure(List<Double> list) {
        int result = baseMapper.deleteBatchIds(list);
        return result;
    }

    @Override
    public int selectMaxId() {
        return baseMapper.selectMaxId();
    }
}
